COSGEN(3)

SYNOPSIS
SUBROUTINE COSGEN (N, IJUMP, FNUM, FDEN, A)

NAME
cosgen - Subsidiary to GENBUN

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (COSGEN-S, CMPCSG-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
This subroutine computes required cosine values in ascending order. When IJUMP .GT. 1 the routine computes values 2*COS(J*PI/L) , J=1,2,...,L and J .NE. 0(MOD N/IJUMP+1) where L = IJUMP*(N/IJUMP+1). when IJUMP = 1 it computes 2*COS((J-FNUM)*PI/(N+FDEN)) , J=1, 2, ... ,N where FNUM = 0.5, FDEN = 0.0, for regular reduction values. FNUM = 0.0, FDEN = 1.0, for B-R and C-R when ISTAG = 1 FNUM = 0.0, FDEN = 0.5, for B-R and C-R when ISTAG = 2 FNUM = 0.5, FDEN = 0.5, for B-R and C-R when ISTAG = 2 in POISN2 only.

SEE ALSO
GENBUN

ROUTINES CALLED
PIMACH

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)